[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomButton.Default

Is this the Default button? (default setting is False)

## Declaration

Source position: stdctrls.pp line 1123

`public property TCustomButton.Default: Boolean read FDefault write SetDefault default false;`

## Description

Defines if a button is the Default on a form. That is, pressing ENTER will execute its onClick method, whether the control has focus or not!

The latest version of this document can be found at lazarus-ccr.sourceforge.net.